# Ansible module for xbps package manager

## Install

put `xbps.py` into `library/` directory, next to your playbook/role


## Arguments

one of "name", "update_cache" and "upgrade" required, but you can use up to all
three at a time

  - **name**: 
    - name or list of packages
    - "`*`" same as "`upgrade=yes`"

  - **update_cache**: (yes|no), default: `no`
    - sync remote repo index (`xbps-install -S`)

  - **upgrade**: (yes|no), default: `no`
    - update/upgrade all installed packages (`xbps-install -u`)

  - **state**: (present|latest|absent), default: `present`
    - desired state of `name` package(s)

  - **recurse**: (yes|no), default: `no`
    - if `state=absent` recursively remove dependencies

Example:

  - `ansible localhost -m xbps -a "name=screen"`
    installs "screen" package

  - `ansible localhost -m xbps -a "name=screen state=latest"`
    installs/updates "screen" package

  - `ansible localhost -m xbps -a "name=screen state=absent"`
    removes "screen" package

  - `ansible localhost -m xbps -a "update_cache=yes"`
    syncs remote repo index

  - `ansible localhost -m xbps -a "upgrade=yes"`
    upgrades all installed packages

  - `ansible localhost -m xbps -a "name=screen update_cache=yes upgrade=yes"`
    sync repo index, upgrades all installed packages and (maybe) installs screen

